Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ClipOperation

    java.lang.Object
      java.lang.Enum<Qt.ClipOperation>
          com.trolltech.qt.core.Qt.ClipOperation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ClipOperation>

Enclosing interface:
  Qt

    public static enum Qt.ClipOperation

extends java.lang.Enum<Qt.ClipOperation>
implements QtEnumerator

Press link for info on Qt.ClipOperation

Enum Constant Summary
`IntersectClip` Intersects the current clip path/rect/region with the one supplied in the function call.
`NoClip` This operation turns clipping off.
`ReplaceClip` Replaces the current clip path/rect/region with the one supplied in the function call.
`UniteClip` Unites the current clip path/rect/region with the one supplied in the function call.

Method Summary
`static Qt.ClipOperation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ClipOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ClipOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoClip

    public static final Qt.ClipOperation NoClip

  This operation turns clipping off.

### ReplaceClip

    public static final Qt.ClipOperation ReplaceClip

  Replaces the current clip path/rect/region with the one supplied in the function call.

### IntersectClip

    public static final Qt.ClipOperation IntersectClip

  Intersects the current clip path/rect/region with the one supplied in the function call.

### UniteClip

    public static final Qt.ClipOperation UniteClip

  Unites the current clip path/rect/region with the one supplied in the function call.

Method Detail

### values

    public static final Qt.ClipOperation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ClipOperation c : Qt.ClipOperation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ClipOperation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ClipOperation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD